Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development


Thank you for visiting the BlackBerry Support Community Forums.

BlackBerry will be closing the BlackBerry Support Community Forums Device Forums on April 1st (Developers, see below)

BlackBerry remains committed to providing excellent customer support to our customers. We are delighted to direct you to the CrackBerry Forums, a well-established and thorough support channel, for continued BlackBerry support. Please visit http://forums.crackberry.com or http://crackberry.com/ask. You can also continue to visit BlackBerry Support or the BlackBerry Knowledge Base for official support options available for your BlackBerry Smartphone.

"When we launched CrackBerry.com 10 years ago, we set out to make it a fun and useful destination where BlackBerry Smartphone owners could share their excitement and learn to unleash the full potential of their BlackBerry. A decade later, the CrackBerry community is as active and passionate as ever and I know our knowledgeable members and volunteers will be excited to welcome and assist more BlackBerry owners with their questions."

- Kevin Michaluk, Founder, CrackBerry.com

Developers, for more information about the BlackBerry Developer Community please review Join the Conversation on the BlackBerry Developer Community Forums found on Inside BlackBerry.


Reply
Developer
Posts: 131
Registered: ‎03-25-2009
My Device: Z30
My Carrier: Telus

JVM versions

My application does not take advantage of any API calls beyod OS5. I currently build a version for 4.5, 5, 6, 7.

 

I have to build a seperate one for 4.5 as I have some workaround code in it, for feature added in 5.0.

 

My question is, is there any point in building seperate versions for 5,6,7? Or if I build it on five, can I just ship it for 6, and 7, if it runs there? Or is there optimizations performed by doing seperate versions?

 

Thanks,
~S 

Developer
Posts: 656
Registered: ‎02-03-2010
My Device: Z10 LE
My Carrier: Rogers

Re: JVM versions

[ Edited ]

I believe that if you build for 5.0 it will run on 5.0,6.0,7.0.   No need for separate versions.  That is what I do.


Steven Kader at JaredCo
   Follow me on Twitter    |     Mipixi.com :  Web App for Photo Sharing
Developer
Posts: 131
Registered: ‎03-25-2009
My Device: Z30
My Carrier: Telus

Re: JVM versions

cool thanks.

Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: JVM versions

Highlighted
Developer
Posts: 131
Registered: ‎03-25-2009
My Device: Z30
My Carrier: Telus

Re: JVM versions

Thanks. I have the proess largely automated the process now anyway. The only pain is uploading 4 different versions to app world.